| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces
OgreOverlayElementFactory.h File Reference
`#include "OgreOverlayPrerequisites.h"`
`#include "OgreOverlayElement.h"`
`#include "OgrePanelOverlayElement.h"`
`#include "OgreBorderPanelOverlayElement.h"`
`#include "OgreTextAreaOverlayElement.h"`

## Classes
class | Ogre::BorderPanelOverlayElementFactory
| Factory for creating BorderPanelOverlayElement instances. More...
class | Ogre::OverlayElementFactory
| Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...
class | Ogre::PanelOverlayElementFactory
| Factory for creating PanelOverlayElement instances. More...
class | Ogre::TextAreaOverlayElementFactory
| Factory for creating TextAreaOverlayElement instances. More...

## Namespaces
| Ogre